package com.gyee.edge.gateway.client;


import com.gyee.protocol.gyfp2.message.GYMessage;
import io.netty.channel.EventLoopGroup;
import io.netty.util.concurrent.Future;

public class IEC102TcpMaster implements IClient {

    private EndPoint endPoint;

    private int status;

    public IEC102TcpMaster(EndPoint endPoint1) {
        this.endPoint = endPoint1;
    }

    public EndPoint getEndPoint() {
        return endPoint;
    }

    @Override
    public Future<Integer> connect() {
        return null;
    }

    @Override
    public Future<Integer> reconnect() {
        return null;
    }

    @Override
    public void disconnect() {

    }

    @Override
    public boolean isConnected() {
        return false;
    }

    @Override
    public EventLoopGroup getEventLoop() {
        return null;
    }

    @Override
    public Future<Integer> sendMessage(GYMessage gyMessage) {
        return null;
    }

    @Override
    public Future<Integer> send(Byte[] bytes) {
        return null;
    }

    public int getStatus() {
        return status;
    }




    public void start() {

    }


    public void stop() {

    }

    public void restart() {

    }

}
